Authentication by Google

Gets the Google login URL.

get
Query parameters
callbackURLstringRequired

The callback URL that the user will be redirected to after logging in.

returnURLstringRequired

The return URL that the user will be redirected to after canceling the login.

typeResponsestring · enumOptional

This enum represents the response client for the AppSettingAuthenticationTypeResponseClient.

Possible values:
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

datastring · nullableOptional
get
/api/v1/users/auth/integrations/google/authenticate-url

Last updated